Re: Security update packages don't recognized patched 4.3-RELEASE

From: Kris Kennaway (kris@obsecurity.org)
Date: 08/31/01


Date: Thu, 30 Aug 2001 18:47:00 -0700
From: Kris Kennaway <kris@obsecurity.org>
To: Blaz Zupan <blaz@inlimbo.org>


On Thu, Aug 30, 2001 at 10:28:55PM +0200, Blaz Zupan wrote:
> I usually cvsup RELENG_4_3 to update our servers, but this time I wanted to
> quickly patch the lpd hole by simply installing the update package.
> Unfortunatelly it complains that it can only be installed on 4.3-RELEASE.
> Well, I *am* running 4.3-RELEASE, but patched up to 4.3-RELEASE-p14. I believe
> the +INSTALL script should support this, what do others think?

It was a deliberate decision to only support 4.3-RELEASE, not
arbitrary cvsup dates of RELENG_4_3 so we don't have to worry about
possible weird package interactions with changes on that branch at
some point. Basically, we expect that if you can cvsup once, you can
cvsup twice :)

Kris



To Unsubscribe: send mail to majordomo@FreeBSD.org
with "unsubscribe freebsd-security" in the body of the message




Relevant Pages

  • Re: Security update packages dont recognized patched 4.3-RELEASE
    ... > |> quickly patch the lpd hole by simply installing the update package. ... Basically, we expect that if you can cvsup once, you can ...
    (FreeBSD-Security)
  • Re: ports security branch
    ... Debian GNU/Linux has its security package updates, OpenBSD has a separately maintained "errata" ports branch ). ... Cvsup will fetch all the ports that have updates, so you really don't have to do much except launch cvsup and then launch portupgrade once cvsup is done. ... When I set up a new server, one of the first things I do, before installing any applications, is run cvsup to update everything. ...
    (freebsd-questions)
  • Upgrading 5.1 to latest -> page fault in kernel (crash) upon starting X
    ... Seems like I'm running into a serious problem upgrading my 5.1 machine ... I did an upgrade (cvsup) then went through the usual ... As far as building & installing is concerned I did everything as per ... When booting the old kernel everything is fine again - ...
    (freebsd-current)
  • Re: Installing Gnome 2.8 on FreeBSD 5.3 : cvsup ?
    ... Use the gnome_upgrade.sh script to automate the upgrade ... You *need* the latest ports tree on your system before this will work. ... installed cvsup, ... "Installing Applications: Packages and Ports" in section 4 and "Using ...
    (comp.unix.bsd.freebsd.misc)
  • Re: Understanding differences between releases and ports
    ... When you CVSup, you are refreshing your ports tree. ... does installing a new release of FreeBSD make more sence. ... >>(that updates the src bineries). ...
    (freebsd-questions)